package ${domain}.module.wsys.mgr;

import ${domain}.frame.auth.Token;
import ${domain}.module.wsys.req.FileCreateRequest;
import ${domain}.module.wsys.req.FileDeleteRequest;
import ${domain}.module.wsys.req.FileFindRequest;
import ${domain}.module.wsys.rsp.FileCreateResponse;
import ${domain}.module.wsys.rsp.FileDeleteResponse;
import ${domain}.module.wsys.rsp.FileFindResponse;

/**
 * 文件
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public interface FileManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    FileCreateResponse create(FileCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    FileDeleteResponse delete(FileDeleteRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    FileFindResponse find(FileFindRequest request, Token token);
}
