-- ----------------------------
-- Table structure for SEQUENCE - 序列
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2020-06-25
-- ----------------------------
CREATE TABLE IF NOT EXISTS SYS_SEQUENCE (
    "ID" BIGINT PRIMARY KEY NOT NULL,
    "SEQ_NAME" VARCHAR(50) NOT NULL,
    "SEQ_NOTE" VARCHAR(50),
    "YEAR" VARCHAR(4),
    "MONTH" VARCHAR(2),
    "DATE" VARCHAR(2),
    "NEXT_VALUE" MEDIUMINT NOT NULL,
    "ROW_VERSION" BIGINT NOT NULL,
    "IS_DELETED" BOOLEAN NOT NULL,
    "CREATE_BY" BIGINT NOT NULL,
    "CREATE_TIME" DATETIME NOT NULL,
    "LAST_UPDATE_BY" BIGINT,
    "LAST_UPDATE_TIME" DATETIME
);
