-- ----------------------------
-- Table structure for TASK_SQL - SQL任务
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2020-06-08
-- ----------------------------
CREATE TABLE `SYS_TASK_SQL` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `TASK_NAME` VARCHAR(50) NOT NULL COMMENT '任务名称',
        `TASK_NOTE` VARCHAR(250) COMMENT '详细注释',
        `TASK_TYPE` VARCHAR(20) NOT NULL COMMENT '任务类型',
        `TYPE_VALUE` VARCHAR(50) NOT NULL COMMENT '任务类型值',
        `TASK_SQL` VARCHAR(2500) NOT NULL COMMENT '任务SQL',
        `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='SQL任务';
