package ${domain}.${moduleName}.ent;

<#if table.has('Date')>
import java.util.Date;
</#if>
import ${domain}.framework.base.BaseEntity;

/**
 * ${table.tableName} - ${table.tableComment}
 *
 * @author ${author?default("")}
 * @version 0.0.1
 * @since ${.now?string["yyyy-MM-dd"]}
 */
public class ${table.getCName()} extends BaseEntity{

<#list table.fields as field>
<#if !field.isSystem || field.fieldName == 'ID'>
    /** ${field.fieldName} - ${field.fieldComment?default("")} */
    private ${field.getFieldTypeJava()} ${field.getFName()};

</#if>
</#list>
<#list table.fields as field>
<#if !field.isSystem || field.fieldName == 'ID'>
    public ${field.getFieldTypeJava()} ${field.getterName()}(){
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.getFieldTypeJava()} ${field.getFName()}){
        this.${field.getFName()} = ${field.getFName()};
    }

</#if>
</#list>
}