package ${domain}.frame.excel.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * ExcelSelect - 单元格下拉选项
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ExcelSelect {

    /**
     * 下拉列表
     */
    String[] value();
}
