package ${domain}.module.${moduleName}.req;

import ${domain}.frame.base.BaseRequest;
import javax.validation.constraints.NotNull;

/**
 * ${table.getCName()}DeleteRequest - ${table.tableComment}删除
 *
 * @author ${author?default("")}
 * @version 0.0.1
 * @since ${.now?string["yyyy-MM-dd"]}
 */
public class ${table.getCName()}DeleteRequest extends BaseRequest {
<#if table.sys>

    /**
     * 主键.
     */
    @NotNull(message = "[id]主键不能为空")
    private long id;

    public long getId() {
        return this.id;
    }

    public void setId(long id) {
        this.id = id;
    }
<#else>
    <#list table.fields as field>

    /**
     * ${field.fieldComment?default("")}.
     */
    private ${field.getFieldTypeJava()} ${field.getFName()};
    </#list>
    <#list table.fields as field>
    <#if !field.isSystem>
    public ${field.getFieldTypeJava()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.getFieldTypeJava()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
    </#if>
    </#list>
</#if>
}
