package ${domain}.module.wsys.ent;

import ${domain}.frame.base.BaseEntity;
<#if project.frameValue() == 3>
import com.alibaba.excel.annotation.ExcelProperty;
import ${domain}.frame.excel.annotation.ExcelNote;
import ${domain}.frame.excel.annotation.ExcelSheet;
</#if>

/**
 * DICT - 字典
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
<#if project.frameValue() == 3>
@ExcelSheet("字典")
</#if>
public class Dict extends BaseEntity {

    /**
     * DICT_NAME - 字典名称
     */
    <#if project.frameValue() == 3>
    @ExcelProperty("字典名称")
    @ExcelNote("1-50长度的字典名称")
    </#if>
    private String dictName;
    /**
     * DICT_COMMENT - 字典代码
     */
    <#if project.frameValue() == 3>
    @ExcelProperty("字典描述")
    @ExcelNote("1-50长度的字典描述")
    </#if>
    private String dictComment;
    /**
     * VERSION - 字典版本
     */
    <#if project.frameValue() == 3>
    @ExcelProperty("字典版本")
    @ExcelNote("字典版本.例如:（yyyy-MM-dd HH:mm:ss）")
    </#if>
    private String version;
    /**
     * VALID - 是否有效
     */
    <#if project.frameValue() == 3>
    @ExcelProperty("是否有效")
    @ExcelNote("Y/N,是/否")
    </#if>
    private Boolean valid;

    public String getDictName() {
        return this.dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictComment() {
        return this.dictComment;
    }

    public void setDictComment(String dictComment) {
        this.dictComment = dictComment;
    }

    public String getVersion() {
        return this.version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}